// import QtQuick 1.0 // to target S60 5th Edition or Maemo 5
import QtQuick 1.1
import com.nokia.meego 1.0
import VkPages 1.0
import "subpages"

Page {
    property bool needDisableToolbar: false

    property bool isPageActive: false

    // services
    VkPageMessagesService {
        id: vkPageMessagesService

        isDialogPageActive: isPageActive && !subpageMessages.messageListMode
    }

    // subpage messages
    VkSubpageMessages {
        id: subpageMessages
        anchors.fill: parent
        messagesService: vkPageMessagesService
    }

    function showOwnerMessages()
    {
        subpageMessages.showOwnerMessages()
    }
    function showDialogWith(uid)
    {
        subpageMessages.showDialogWith(uid)
    }

    // init
    function handleTabActivated() {
        vkPageMessagesService.setUserIdFromLogin()
    }
}
