// import QtQuick 1.0 // to target S60 5th Edition or Maemo 5
import QtQuick 1.1
import com.nokia.meego 1.0

Label {
    id: vkCoreDate

    // params
    property int    nYear:              0
    property int    nMonth:             0
    property int    nDay:               0

    //
    property bool   isValid:            (nYear > 0 || nMonth > 0 || nDay > 0)
    property string strYear:            nYear > 0 ? nYear + " г." : ""
    property string strMonth:           getMonthName(nMonth)
    property string strDay:             nDay > 0 ? nDay : ""

    property string strDate:            strDay + " " + strMonth + " " + strYear

    //
    function getMonthName(monthNum) {
        if (monthNum === 1) {
            return "января";
        } else if (monthNum === 2) {
            return "февраля";
        } else if (monthNum === 3) {
            return "марта";
        } else if (monthNum === 4) {
            return "апреля";
        } else if (monthNum === 5) {
            return "мая";
        } else if (monthNum === 6) {
            return "июня";
        } else if (monthNum === 7) {
            return "июля";
        } else if (monthNum === 8) {
            return "августа";
        } else if (monthNum === 9) {
            return "сентября";
        } else if (monthNum === 10) {
            return "октября";
        } else if (monthNum === 11) {
            return "ноября";
        } else if (monthNum === 12) {
            return "декабря";
        }

        return "";
    }

    wrapMode: Text.Wrap
    textFormat: Text.RichText

    text: strDate
}
