// import QtQuick 1.0 // to target S60 5th Edition or Maemo 5
import QtQuick 1.1
import com.nokia.meego 1.0

Label {
    id: vkCoreLabeledNumber

    // params
    property int    number:             0
    property string prefix:             ""
    property string label:              ""
    property string label1:             ""
    property string label234:           ""
    property bool   hideZero:           false

    //
    property string actualLabel:        vkAppService.getLabelForNumber(number, label, label1, label234)

    function getTextString()
    {
        if (hideZero && number === 0) {
            return "";
        }

        return (number === 0 ? "Нет" : number) + " " + actualLabel
    }

    wrapMode: Text.Wrap
    textFormat: Text.RichText

    text: prefix + getTextString()
    color: "darkgrey"
}
