// import QtQuick 1.0 // to target S60 5th Edition or Maemo 5
import QtQuick 1.1
import com.nokia.meego 1.0

Item {
    id: vkCoreListElementDivider

    anchors {
        left: parent.left
        right: parent.right
        leftMargin: 40
        rightMargin: 40
    }
    height: dividerImage.height

    Image {
        id: dividerImage
        anchors {
            left: parent.left
            right: parent.right
            top: parent.top
        }
        source: "image://theme/meegotouch-groupheader" + (theme.inverted ? "-inverted" : "") + "-background"
    }
}
