// import QtQuick 1.0 // to target S60 5th Edition or Maemo 5
import QtQuick 1.1
import com.nokia.meego 1.0

Page {

    signal acceptClicked ()

    tools: ToolBarLayout {
        // define a buttons
        ToolButton {
            text: "Согласен"
            onClicked: {
                acceptClicked()
            }
        }
        ToolButton {
            text: "Выйти"
            onClicked: {
                Qt.quit()
            }
        }
    }

    Label {
        id: loaderLabel
        anchors {
            left: parent.left
            right: parent.right
            verticalCenter: parent.verticalCenter
            leftMargin: 20
            rightMargin: 20
        }
        text: "Добро пожаловать в программу <b>VeeK</b>,<br/>клиент социальной сети <b>ВКонтакте</b>!<br/>Это тестовая версия. Об обнаруженных ошибках сообщайте в тему обсуждения на форуме.<br/><b>Пользователям ресурса <i>allnokia.ru</i> предоставляется возможность первыми испытать программу.</b><br/>Если не согласны, придется закрыть и удалить программу.<br/><br/>Автор <b>Алексей Шутов (alxs_as-is)</b>"
        horizontalAlignment: Text.AlignHCenter
    }
}
