// import QtQuick 1.0 // to target S60 5th Edition or Maemo 5
import QtQuick 1.1
import com.nokia.meego 1.0
import VkPages 1.0
import "subpages"

Page {
    property bool needDisableToolbar: false

    // services
    VkPageFriendsService {
        id: vkPageFriendsService
    }

    // subpage friends
    VkSubpageFriends {
        anchors.fill: parent
        friendsService: vkPageFriendsService
    }

    // init
    function handleTabActivated() {
        vkPageFriendsService.setUserIdFromLogin()
    }
}
