// import QtQuick 1.0 // to target S60 5th Edition or Maemo 5
import QtQuick 1.1
import com.nokia.meego 1.0
import com.nokia.extras 1.1

Item {
    id: vkAudioListItemExtra

    Row {
        anchors.fill: parent
        spacing: 20
        visible: itemRemoved && !addRemoveInProgress

        VkCoreText {
            anchors.verticalCenter: parent.verticalCenter
            text: "Аудиозапись удалена"
        }
        ListButton {
            anchors.verticalCenter: parent.verticalCenter
            text: "Восстановить"
            property string _owner_id: owner_id         // fix negative int id
            onClicked: audioService.restoreAudioItem(index, _owner_id, aid)
        }
    }

    BusyIndicator {
        anchors.centerIn: parent
        visible: addRemoveInProgress
        running: addRemoveInProgress
    }
}
