// import QtQuick 1.0 // to target S60 5th Edition or Maemo 5
import QtQuick 1.1
import com.nokia.meego 1.0
import VkBuildIn 1.0

VkCoreMaskedImage {
    id: vkCoreAvatar

    property alias  online:    onlineIndicator.visible

    imgWidth:  50
    imgHeight: 50
    imgLoader: "avatar"
    imgMask:   "../../icons/vk-rounded-mask.png"

    Image {
        id: onlineIndicator
        anchors {
            right: parent.right
            top: parent.top
            rightMargin: -2
            topMargin: -2
        }
        source: "image://theme/icon-s-common-presence-online"
        visible: false
    }
}
