// import QtQuick 1.0 // to target S60 5th Edition or Maemo 5
import QtQuick 1.1
import com.nokia.meego 1.0

Rectangle {
    id: vkCorePageHeader

    property alias headerLabelText: headerLabel.text
    anchors {
        left: parent.left
        right: parent.right
    }

    height: 70
    gradient: Gradient {
        GradientStop {
            position: 0.00;
            color: "#42668C";
        }
        GradientStop {
            position: 1.00;
            color: "#5B7FA6";
        }
    }

    Label {
        id: headerLabel
        anchors {
            verticalCenter: parent.verticalCenter
            horizontalCenter: parent.horizontalCenter
        }
        text: ""
        color: "#E8EFF7"
    }
}
