// import QtQuick 1.0 // to target S60 5th Edition or Maemo 5
import QtQuick 1.1
import com.nokia.meego 1.0

Item {
    id: vkProfileDivider

    anchors {left: parent.left; right: parent.right}
    height: 35

    property color  color:     "black"
    property color  textcolor: "black"
    property string text:      ""

    Label {
        id: dividerText
        anchors {left: parent.left; verticalCenter: parent.verticalCenter}
        text: vkProfileDivider.text
        color: textcolor
        font.weight: Font.Bold
    }
    Rectangle {
        anchors {left: dividerText.right; leftMargin: (dividerText.width === 0) ? 0 : 6; right: parent.right; verticalCenter: parent.verticalCenter}
        height: 1
        color: vkProfileDivider.color
    }
}
