// import QtQuick 1.0 // to target S60 5th Edition or Maemo 5
import QtQuick 1.1
import com.nokia.meego 1.0

Rectangle {
    id: vkProfileUserRate

    width: 100
    height: 20
    color: "#E7EAED"

    property int  rateValue: 0
    property bool isGold:    rateValue >= 100

    Rectangle {
        id: rateVal
        width: isGold ? 100 : rateValue
        anchors {left: parent.left; top: parent.top; bottom: parent.bottom}
        color: isGold ? "#EFAE00" : "#99adc2"
    }
    Label {
        id: rateText
        text: rateValue
        anchors.centerIn: parent
        font.pixelSize: vkProfileUserRate.height * .8
        color: "black"
    }
}
